Classes | Namespaces | Functions
XMLTreeWalker.h File Reference
`#include <iterator>`
`#include <string>`
`#include <boost/intrusive_ptr.hpp>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libebook_libcss.h"`
`#include "XMLStylesheet.h"`
`#include "XMLTreeNode.h"`

Go to the source code of this file.

## Classes
class | libebook::XMLTreeWalker
class | libebook::XMLTreeWalker::Attribute
class | libebook::XMLTreeWalker::AttributeIterator
class | libebook::XMLTreeWalker::Iterator
struct | std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >
struct | std::iterator_traits< libebook::XMLTreeWalker::Iterator >

## Namespaces
namespace | libebook
namespace | std

## Functions
bool | libebook::operator!= (const XMLTreeWalker::Attribute &lhs, const XMLTreeWalker::Attribute &rhs)
bool | libebook::operator!= (const XMLTreeWalker::AttributeIterator &lhs, const XMLTreeWalker::AttributeIterator &rhs)
bool | libebook::operator!= (const XMLTreeWalker::Iterator &lhs, const XMLTreeWalker::Iterator &rhs)